import request from '@/utils/request'

// 查询文件传达列表
export function listWorkFile(query) {
  return request({
    url: '/work/workFile/list',
    method: 'get',
    params: query
  })
}

// 查询文件传达详细
export function getWorkFile(id) {
  return request({
    url: '/work/workFile/' + id,
    method: 'get'
  })
}

// 新增文件传达
export function addWorkFile(data) {
  return request({
    url: '/work/workFile',
    method: 'post',
    data: data
  })
}

// 修改文件传达
export function updateWorkFile(data) {
  return request({
    url: '/work/workFile',
    method: 'put',
    data: data
  })
}

// 删除文件传达
export function delWorkFile(id) {
  return request({
    url: '/work/workFile/' + id,
    method: 'delete'
  })
}
